Zoltan User's Guide | Next | Previous

## Local Ordering with Hilbert Space Filling Curves (HSFC)

This is a local geometric ordering method that uses Hilbert space filling curves to order the vertices located at specified coordinates. This method assumes the data to be ordered is local to the process and the query functions should reflect this.

For more information on the HSFC algorithm, see the HSFC algorithm documentation.

Order_Method String: | LOCAL_HSFC
Parameters: |
| Currently none defined.
Required Query Functions: |
| ZOLTAN_NUM_OBJ_FN
| ZOLTAN_OBJ_LIST_FN
| ZOLTAN_NUM_GEOM_FN ZOLTAN_GEOM_MULTI_FN or ZOLTAN_GEOM_FN

[Table of Contents | Next: Coloring Algorithms | Previous: Ordering by PT-Scotch | Privacy and Security]